%define desktop_vendor newrpms
%{!?_dist: %{expand: %%define dist rhfc12}}

Summary:	GAdmin-OpenVPN-Client -- A GTK+ administation tool for the OpenVPN client.
Name:		gadmin-openvpn-client
Version:	0.1.2
Release:	0.1.%{dist}.nr
License:	GPL
Group:		Applications/System
URL:		http://mange.dynalias.org/linux.html
Source0:	http://mange.dynalias.org/linux/%{name}/client/%{name}-%{version}.tar.gz
BuildRoot:	%{_builddir}/%{name}-%{version}-root
Provides:	gadmin-openvpn-client

%description
Gadmin-OpenVPN-Client is a fast and easy to use GTK+ administration tool for the OpenVPN client.

%prep
%setup -q
%configure SYSINIT_START_CMD="chkconfig gadmin-openvpn-client on" SYSINIT_STOP_CMD="chkconfig gadmin-openvpn-client off"

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 %{_sysconfdir}/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 %{_sysconfdir}/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# doc files.. 
install -d %{buildroot}%{_datadir}/doc/%{name}
install -m 644  README COPYING AUTHORS ChangeLog %{buildroot}%{_datadir}/doc/%{name}

%find_lang %name

%post 
if test ! -h %{_bindir}/gadmin-openvpn-client ; then \
ln -s %{_bindir}/consolehelper %{_bindir}/gadmin-openvpn-client ; \
fi;

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang

%defattr(0755, root, root)
%{_sbindir}/%{name}
#%defattr(0660, root, root)
#%{_sysconfdir}/%{name}/%{name}.pem
#%config %{_sysconfdir}/%{name}/gprotls.conf

%defattr(0644, root, root)
#%doc COPYING AUTHORS ChangeLog
%{_datadir}/doc/%{name}/README
%{_datadir}/doc/%{name}/COPYING 
%{_datadir}/doc/%{name}/AUTHORS 
%{_datadir}/doc/%{name}/ChangeLog

%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png

%changelog
* Sat Aug 28 2010 Magnus-swe <magnus-swe@telia.com>
- Using SYSINIT_SCRIPTS_DIR in the NetworkManager dispatcher script.
- Updated Deutsch translation (Manfred Mueller).
* Sat Feb 27 2010 Magnus-swe <magnus-swe@telia.com>
- NetworkManager has been fixed so interface adjustments where removed.
- Press apply to actualize the new settings.
* Fri Feb 26 2010 Magnus-swe <magnus-swe@telia.com>
- Activation and deactivation fixes for DNS handling.
- Only run the mount option at sysinit start.
* Wed Feb 24 2010 Magnus-swe <magnus-swe@telia.com>
- NetworkManager integration, stops and starts the tunnel
- when the network cable is plugged or unplugged.
- Saves the conf tab contents to the correct client .conf location.
- The init script creates the pid file directory /var/run/openvpn.
- Added options: ping and ping-restart to reinitiate the connection
- and keep it alive by checking icmp ping replies.
- Added allow-pull-fqdn to allow pulling DNS-names.
- Added a fix for fetching and setting pushed environment info, like
- DNS's from the server to OSS clients:...
- The client now writes a client "upscript.sh" for the selected connection.
- This script will fetch environment variables that are pushed to the
- client and places those variables in the following file:
- /etc/gadmin-openvpn-client.env
- On activation pulled DNS's and DOMAIN will be written in /etc/resolv.conf.
- When the client is deactivated or the computer is
- shut down these changes will be reverted.
* Thu Nov 12 2009 Magnus-swe <magnus-swe@telia.com>
- Adds user selectable certificates and keys.
- Switches to the client connection log view at activation.
* Fri Aug 21 2009 Magnus-swe <magnus-swe@telia.com>
- Uses /etc/init.d as sysinit scripts dir.
- Sets status color and missing programs color.
* Fri Jul 17 2009 Magnus-swe <magnus-swe@telia.com>
- Added a mount entry for mounting external devices
- before the client starts.
* Mon Jul 6 2009 Magnus-swe <magnus-swe@telia.com>
- Added a Swedish translation. 
- More secure chmod on certs and the passfile.
- Using --script-security 2.
- Reverted de.po strings with questions to English.
* Tue Jun 16 2009 Magnus-swe <magnus-swe@telia.com>
- Added de.po translation thanks to Manfred Mueller.
* Fri Sep 30 2008 Magnus-swe <magnus-swe@telia.com>
- Initial release.
